<mat-card class="tky-top-buffer">
  <h1 class="text-center">
    <b>Tablas de Resultados</b>

    <mat-icon (click)="hide[0] = !hide[0]" class="tky-cursor tky-right" color="accent">{{hide[0] ? 'visibility_off' : 'visibility'}}</mat-icon>
  </h1>
  <br>
  <mat-card-content *ngIf="hide[0]">
    <div class="row tky-top-buffer">
      <div class="col col-sm-12 col-md-12 col-lg-6 tky-top-buffer" >
          <h5 class="text-center" *ngIf="!hide[1]">
              <b>Tabla de Resultados Parciales</b>
              <mat-icon (click)="hide[1] = !hide[1]" class="tky-cursor tky-right" color="accent">{{hide[1] ? 'visibility_off' : 'visibility'}}</mat-icon>
            </h5>

      </div>
      <div class="col col-sm-12 col-md-12 col-lg-6 tky-top-buffer" >
          <h5 class="text-center " *ngIf="!hide[2]">
              <b>Tabla de Resultados Finales de Simulación</b>
              <mat-icon (click)="hide[2] = !hide[2]" class="tky-cursor tky-right" color="accent">{{hide[2] ? 'visibility_off' : 'visibility'}}</mat-icon>
            </h5>
      </div>
    </div>
    <div class="row tky-top-buffer">
      <div class="col col-sm-12 col-md-12 col-lg-6  tky-top-buffer" *ngIf="hide[1]">
          <h5 class="text-center">
              <b>Tabla de Resultados Parciales</b>
              <mat-icon (click)="hide[1] = !hide[1]" class="tky-cursor tky-right" color="accent">{{hide[1] ? 'visibility_off' : 'visibility'}}</mat-icon>
            </h5>
        <div class="example-container mat-elevation-z8">

          <mat-table #table [dataSource]="dataSource">

            <!--- Note that these columns can be defined in any order.
                            The actual rendered columns are set as a property on the row definition" -->

            <!-- Position Column -->
            <ng-container matColumnDef="position">
              <mat-header-cell *matHeaderCellDef> No. </mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.position}} </mat-cell>
            </ng-container>

            <!-- Name Column -->
            <ng-container matColumnDef="name">
              <mat-header-cell *matHeaderCellDef> Name </mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.name}} </mat-cell>
            </ng-container>

            <!-- Weight Column -->
            <ng-container matColumnDef="weight">
              <mat-header-cell *matHeaderCellDef> Weight </mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.weight}} </mat-cell>
            </ng-container>

            <!-- Symbol Column -->
            <ng-container matColumnDef="symbol">
              <mat-header-cell *matHeaderCellDef> Symbol </mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.symbol}} </mat-cell>
            </ng-container>

            <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
            <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
          </mat-table>
        </div>
      </div>
      <div class="col col-sm-12 col-md-12 col-lg-6 tky-top-buffer" *ngIf="hide[2]">
          <h5 class="text-center">
              <b>Tabla de Resultados Finales de Simulación</b>
              <mat-icon (click)="hide[2] = !hide[2]" class="tky-cursor tky-right" color="accent">{{hide[2] ? 'visibility_off' : 'visibility'}}</mat-icon>
            </h5>

        <div class="example-container mat-elevation-z8">

          <mat-table #table [dataSource]="dataSource">

            <!--- Note that these columns can be defined in any order.
                            The actual rendered columns are set as a property on the row definition" -->

            <!-- Position Column -->
            <ng-container matColumnDef="position">
              <mat-header-cell *matHeaderCellDef> No. </mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.position}} </mat-cell>
            </ng-container>

            <!-- Name Column -->
            <ng-container matColumnDef="name">
              <mat-header-cell *matHeaderCellDef> Name </mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.name}} </mat-cell>
            </ng-container>

            <!-- Weight Column -->
            <ng-container matColumnDef="weight">
              <mat-header-cell *matHeaderCellDef> Weight </mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.weight}} </mat-cell>
            </ng-container>

            <!-- Symbol Column -->
            <ng-container matColumnDef="symbol">
              <mat-header-cell *matHeaderCellDef> Symbol </mat-header-cell>
              <mat-cell *matCellDef="let element"> {{element.symbol}} </mat-cell>
            </ng-container>

            <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
            <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
          </mat-table>
        </div>
      </div>

    </div>

  </mat-card-content>
</mat-card>